Advertisement:

Author Topic: MySQL 5.0.12 Compatibility patch  (Read 153509 times)

Offline Compuart

  • SMF Friend
  • SMF Hero
  • *
  • Posts: 5,774
  • Gender: Male
  • Zéeeeal
    • RealityNet
MySQL 5.0.12 Compatibility patch
« on: November 06, 2005, 09:19:38 PM »
MySQL AB recently announced their fifth version of MySQL to be ready for production use. Version 5 comes with a lot of new features, like stored procedures, triggers, and views. As of MySQL 5.0.12, a few changes have been made in the precedence of table joins. This causes some pages of Simple Machines Forum to stop working.

Simple Machines is therefore happy to release a compatibility patch for both 1.0.5 and 1.1 RC1. If you or your provider are planning on upgrading their MySQL server to 5.0.12 or higher, you can easily patch your forum in one of the following ways:
  • Use the package manager in your administration center - one click, and you're done.
  • Download the modification file, attached to this message, and modify the files manually according to it.
  • Download the modified files, also attached to this message and overwrite your current files with them.


Regardless of whether this patch is applied or not, SMF will install without a problem on a MySQL 5.0.12 server and the package manager will remain accessible.

Addition - 12th December 2005
Since the first patch another problem with capatibility has been identified. If you had applied the previous patch, and now find sorting in the personal message centre does not work, run the modification attached to this post called smf_mysql_5.0.12_patch2. For all people patching for the first time simply use smf_mysql_5.0.12.
« Last Edit: December 12, 2005, 02:50:44 PM by Grudge »
Hendrik Jan Visser
Former Lead Developer & Co-founder www.simplemachines.org
Personal Signature:
Realitynet.nl -> ExpeditieRobinson.net / PekingExpress.org / WieIsDeMol.Com

Bonk

  • Guest
Re: MySQL 5.0.12 Compatibility patch
« Reply #1 on: November 07, 2005, 11:52:38 AM »
Thank you!  :)

Offline Saleh

  • Sophist Member
  • *****
  • Posts: 1,326
  • Gender: Male
  • Claymore Fan
    • PHP Simplicity
Re: MySQL 5.0.12 Compatibility patch
« Reply #2 on: November 07, 2005, 12:47:49 PM »
and I thought MySQL 5 was bad because it gave me errors! :P
will try this one..
thanks

We don't need a reason to help people

Offline CapriSkye

  • Full Member
  • ***
  • Posts: 574
    • Open
Re: MySQL 5.0.12 Compatibility patch
« Reply #3 on: November 07, 2005, 12:49:12 PM »
this might be related to mysql 5?
http://www.simplemachines.org/community/index.php?topic=55642.0
i tried the patch and still receive that error.

Offline Trekkie101

  • SMF Friend
  • SMF Hero
  • *
  • Posts: 8,157
  • Gender: Male
  • Ad Astra!
    • https://www.facebook.com/DLRPRoundup on Facebook
    • @dlrproundup on Twitter
    • DLRP Roundup
Re: MySQL 5.0.12 Compatibility patch
« Reply #4 on: November 07, 2005, 01:15:18 PM »
Very speedy release :)

Just out of curiosity, does this run any better than MySQL4, or have you not had time to run benchmarks or quick comparisons?

Offline Compuart

  • SMF Friend
  • SMF Hero
  • *
  • Posts: 5,774
  • Gender: Male
  • Zéeeeal
    • RealityNet
Re: MySQL 5.0.12 Compatibility patch
« Reply #5 on: November 07, 2005, 01:25:48 PM »
Hard to say. It's often a matter of configuration. But in general, newer versions have slightly better query optimizations and might be a little faster. As a downside, they'd probably consume more memory as well ;)
Hendrik Jan Visser
Former Lead Developer & Co-founder www.simplemachines.org
Personal Signature:
Realitynet.nl -> ExpeditieRobinson.net / PekingExpress.org / WieIsDeMol.Com

Offline Trekkie101

  • SMF Friend
  • SMF Hero
  • *
  • Posts: 8,157
  • Gender: Male
  • Ad Astra!
    • https://www.facebook.com/DLRPRoundup on Facebook
    • @dlrproundup on Twitter
    • DLRP Roundup
Re: MySQL 5.0.12 Compatibility patch
« Reply #6 on: November 07, 2005, 01:31:13 PM »
Hard to say. It's often a matter of configuration. But in general, newer versions have slightly better query optimizations and might be a little faster. As a downside, they'd probably consume more memory as well ;)

Thanks, I would try MySQL5 on this machine but memory useage is at 88% (256MB Ram) so ill need to wait until I upgrade a bit.

Offline RoarinRow

  • Full Member
  • ***
  • Posts: 662
  • Gender: Male
  • Ride my AV!
    • Avalanche Style
Re: MySQL 5.0.12 Compatibility patch
« Reply #7 on: November 07, 2005, 01:50:27 PM »
Do I or should I apply this patch to my existing forum running v.1.05?  If so, any risks?

SMF 2.0
TP 1.0 RC1.1
Wordpress 3.1.3

Offline Compuart

  • SMF Friend
  • SMF Hero
  • *
  • Posts: 5,774
  • Gender: Male
  • Zéeeeal
    • RealityNet
Re: MySQL 5.0.12 Compatibility patch
« Reply #8 on: November 07, 2005, 01:54:34 PM »
The patch works for both 1.0.5 and 1.1 RC1. There are no risks if you do and there are no risks if you don't apply the patch (at least, if the patch doesn't conflict with modifications you might've already installed). However if/when your host decides to upgrade MySQL to version 5, several pages might stop working (but you'll still be able to apply the patch afterwards).
Hendrik Jan Visser
Former Lead Developer & Co-founder www.simplemachines.org
Personal Signature:
Realitynet.nl -> ExpeditieRobinson.net / PekingExpress.org / WieIsDeMol.Com

Offline RoarinRow

  • Full Member
  • ***
  • Posts: 662
  • Gender: Male
  • Ride my AV!
    • Avalanche Style
Re: MySQL 5.0.12 Compatibility patch
« Reply #9 on: November 07, 2005, 01:57:41 PM »
The patch works for both 1.0.5 and 1.1 RC1. There are no risks if you do and there are no risks if you don't apply the patch (at least, if the patch doesn't conflict with modifications you might've already installed). However if/when your host decides to upgrade MySQL to version 5, several pages might stop working (but you'll still be able to apply the patch afterwards).

Great, thanks.

SMF 2.0
TP 1.0 RC1.1
Wordpress 3.1.3

Offline JayBachatero

  • SMF Friend
  • SMF Super Hero
  • *
  • Posts: 19,562
  • Gender: Male
    • @jaycreations on Twitter
    • JayBachatero.com
Re: MySQL 5.0.12 Compatibility patch
« Reply #10 on: November 07, 2005, 02:01:43 PM »
Future versions will be compatible right starting with RC2?
Follow me on Twitter

"HELP!!! I've fallen and I can't get up"
This moment has been brought to you by LifeAlert

Offline Compuart

  • SMF Friend
  • SMF Hero
  • *
  • Posts: 5,774
  • Gender: Male
  • Zéeeeal
    • RealityNet
Re: MySQL 5.0.12 Compatibility patch
« Reply #11 on: November 07, 2005, 02:03:17 PM »
Definitely :)
Hendrik Jan Visser
Former Lead Developer & Co-founder www.simplemachines.org
Personal Signature:
Realitynet.nl -> ExpeditieRobinson.net / PekingExpress.org / WieIsDeMol.Com

Offline HEB XI 1

  • Jr. Member
  • **
  • Posts: 199
  • Gender: Female
    • HEB XI 1
Re: MySQL 5.0.12 Compatibility patch
« Reply #12 on: November 07, 2005, 02:08:00 PM »
Is the patch backwards compatible?  As in, can I safely apply it even if my host has not (or does not plan to) upgrade to MySQL 5?

Offline Compuart

  • SMF Friend
  • SMF Hero
  • *
  • Posts: 5,774
  • Gender: Male
  • Zéeeeal
    • RealityNet
Re: MySQL 5.0.12 Compatibility patch
« Reply #13 on: November 07, 2005, 02:11:52 PM »
Yes, it should be safe for all versions of MySQL supported by SMF (> MySQL 3.23.28)
Hendrik Jan Visser
Former Lead Developer & Co-founder www.simplemachines.org
Personal Signature:
Realitynet.nl -> ExpeditieRobinson.net / PekingExpress.org / WieIsDeMol.Com

Offline Aaron

  • SMF Friend
  • SMF Hero
  • *
  • Posts: 6,711
  • Gender: Male
    • Aaronweb.net
Re: MySQL 5.0.12 Compatibility patch
« Reply #14 on: November 07, 2005, 02:21:24 PM »
Update went like a charm! I love that Package Manager! :P

Offline RoarinRow

  • Full Member
  • ***
  • Posts: 662
  • Gender: Male
  • Ride my AV!
    • Avalanche Style
Re: MySQL 5.0.12 Compatibility patch
« Reply #15 on: November 07, 2005, 02:22:28 PM »
Update went like a charm! I love that Package Manager! :P

Ditto.  I was a little nervous, but did it anyway.   :)
« Last Edit: November 07, 2005, 02:33:28 PM by RoarinRow »

SMF 2.0
TP 1.0 RC1.1
Wordpress 3.1.3

Offline RoarinRow

  • Full Member
  • ***
  • Posts: 662
  • Gender: Male
  • Ride my AV!
    • Avalanche Style
Re: MySQL 5.0.12 Compatibility patch
« Reply #16 on: November 07, 2005, 02:51:45 PM »
I got this email from my server:

"There has been a problem with the database!
MySQL reported:"

Not sure what the problem is.  There is not other text.

SMF 2.0
TP 1.0 RC1.1
Wordpress 3.1.3

Offline gijs

  • Jr. Member
  • **
  • Posts: 128
  • Gender: Male
Re: MySQL 5.0.12 Compatibility patch
« Reply #17 on: November 07, 2005, 02:53:24 PM »
Help!

The patch downloaded well but installation gave an error:
You cannot download or install new packages because the Packages directory or one of the files in it are not writable!

This came after this message:
FTP Information Required
Some of the files the package manager needs to modify are not writable. This needs to be changed by logging into FTP and using it to chmod or create the files and folders. Your FTP information may be temporarily cached for proper operation of the package manager.

Offline JayBachatero

  • SMF Friend
  • SMF Super Hero
  • *
  • Posts: 19,562
  • Gender: Male
    • @jaycreations on Twitter
    • JayBachatero.com
Re: MySQL 5.0.12 Compatibility patch
« Reply #18 on: November 07, 2005, 02:59:51 PM »
You need to make the files writeable.  CHMOD them to 777

How do I use chmod?
Follow me on Twitter

"HELP!!! I've fallen and I can't get up"
This moment has been brought to you by LifeAlert

Offline RoarinRow

  • Full Member
  • ***
  • Posts: 662
  • Gender: Male
  • Ride my AV!
    • Avalanche Style
Re: MySQL 5.0.12 Compatibility patch
« Reply #19 on: November 07, 2005, 03:00:53 PM »
Now I get this error:

File './smf/smf_log_online.MYD' not found (Errcode: 13)
File: /forum/Sources/Subs.php
Line: 1347

Note: It appears that your database may require an upgrade. Your forum files are currently at version SMF 1.0.5, whereas your database is at version SMF 1.0.2. It is recommended that you execute the latest version of upgrade.php.

SMF 2.0
TP 1.0 RC1.1
Wordpress 3.1.3